#
# spec file for package perl-Plack-Middleware-LogWarn
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Plack-Middleware-LogWarn
Version:        0.001002
Release:        1.1
%define cpan_name Plack-Middleware-LogWarn
Summary:        Converts warnings to log messages
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Plack-Middleware-LogWarn/
Source:         Plack-Middleware-LogWarn-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Plack) >= 0.9979
BuildRequires:  perl(Test::Deep) >= 0.108
BuildRequires:  perl(Test::More) >= 0.98
Requires:       perl(Plack) >= 0.9979
Requires:       perl(Test::Deep) >= 0.108
Requires:       perl(Test::More) >= 0.98
%{perl_requires}

%description
LogWarn is a 'Plack::Middleware' component that will help you get warnings
into a logger. You probably want to use some sort of real logging system
such as the Log::Log4perl manpage and another 'Plack::Middleware' such as
the Plack::Middleware::Log4perl manpage.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Wed Jan 14 2015 ncutler@suse.com
- initial package 0.001002
  * created by cpanspec 1.78.08
- checked license
- took maintainership
